footer {
	display: flex;
	position: absolute;
  	bottom: 0;
  	width: 70vw;
	height: fit-content;
	text-align: center;
	align-items: center;
	justify-content: center;
	background-size: cover;
	margin: auto;
	background: var(--colorBlack);
	color: var(--colorWhite);
	padding: 1.6dvh 1.3vw;
	border-radius: var(--ElementRounding) var(--ElementRounding) 0 0;
	transform-style: preserve-3d;
}

footer::after {
	content: "";
	display: flex;
	position: absolute;
	inset: -1.5vw;
	margin: auto;
	bottom: 0;
	background-size: cover;
	background: var(--MainGradient);
	filter: var(--GlowBlur);
	border-radius: var(--ElementRounding) var(--ElementRounding) 0 0;
	transform: translate3d(0, 0, -1px);
	animation: flicker_navbar 2s linear infinite;
}

.footer_container {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-content: flex-end;
	width: 100vw;
	align-items: center;
	z-index: 5;
	pointer-events: none;
	touch-action: none;
}

.footer_container div {
	display: flex;
	flex-direction: row;
}

.footer_container a,
.footer_container p {
    pointer-events: all;
	touch-action: all;
	transition: fill 1.75s cubic-bezier(0,.86,0,1.05);
}

.footer_container div p {
	font-size: 0.7vw;
	text-align: center;
}

.footer_left  {
	margin-left: 2%;
	font-style: italic;
}

.footer_left p {
	transition: transform .3s cubic-bezier(0,.86,0,1.05);
}

.footer_left p:active {
	transform: scale(.95);
}

#year {
	margin-right: 0.25vw;
}

.footer_right  {
	margin-right: 2%;
	align-content: center;
}

.footer_right a {
	padding-left: 0.4vw;
	padding-right: 0.4vw;
	width: 1.2vw;
}

.footer_right a:nth-child(1) svg:hover {
	fill: #4c8fd7;
}

.footer_right a:nth-child(2) svg:hover {
	fill: #0882bd;
}

.footer_right a:nth-child(3) svg:hover {
	fill: #08a4f6;
}

.footer_right a:nth-child(4) svg:hover {
	fill: #ff0938;
}

.footer_right a:nth-child(5) svg:hover {
	fill: #1a4777;
}

.footer_right svg {
	transition: transform .3s ease;
	height: 100%;
	width: 100%;
	fill: var(--colorWhite);
}

.footer_right svg:hover {
	transform: scale(1.5);
}

@media (max-aspect-ratio: 1000/1300) {
	footer {
		padding: 0;
		width: 95vw;
		height: 20vw;
		border-radius: var(--ElementRoundingMobile) var(--ElementRoundingMobile) 0 0;
		margin: calc(var(--MobileMargingAddingPercentage) * -1) 0;
	}
	
	footer::after {
		overflow-x: hidden;
		border-radius: var(--ElementRoundingMobile) var(--ElementRoundingMobile) 0 0;
	}
	
	.footer_container {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-content: center;
		width: 90vw;
	}

	.footer_container div {
		display: flex;
		justify-content: center;
		align-content: center;
		width: 100%;
	}

	.footer_container div p {
		font-size: 3.4vw;
	}
	
	.footer_left {
		padding-left: 0;
		margin: 0;
	}
	
	.footer_right {
		padding-top: 2dvh;
		padding-right: 0;
		margin: 0;
	}

	.footer_right svg{
		height: 120%;
  		width: 120%;
	}

	.footer_right a {
		padding-left: 5vw;
		padding-right: 5vw;
		width: 5vw;
	}
}